> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leavo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Manage Lead Tags

> Add and remove tags from leads

## Add Tags

<Card>
  <strong>POST</strong> `/backend/leads/{id}/tags`
</Card>

### Body Parameters

<ParamField body="tag_ids" type="array" required>
  Array of tag IDs to add
</ParamField>

### Request Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://api.leavo.ai/backend/leads/lead-uuid/tags" \
    -H "Authorization: Bearer your_api_key_here" \
    -H "Content-Type: application/json" \
    -d '{
      "tag_ids": ["tag-uuid-1", "tag-uuid-2"]
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.leavo.ai/backend/leads/lead-uuid/tags', {
    method: 'POST',
    headers: {
      'Authorization': 'Bearer your_api_key_here',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      tag_ids: ['tag-uuid-1', 'tag-uuid-2']
    })
  });
  ```
</CodeGroup>

***

## Remove Tag

<Card>
  <strong>DELETE</strong> `/backend/leads/{lead_id}/tags/{tag_id}`
</Card>

### Request Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.leavo.ai/backend/leads/lead-uuid/tags/tag-uuid" \
    -H "Authorization: Bearer your_api_key_here"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.leavo.ai/backend/leads/lead-uuid/tags/tag-uuid', {
    method: 'DELETE',
    headers: {
      'Authorization': 'Bearer your_api_key_here'
    }
  });
  ```
</CodeGroup>

### Response

```
HTTP 204 No Content
```
